This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 819442 - [abrt] gnome-shell-3.4.1-3.fc17: g_logv: Process /usr/bin/gnome-shell was killed by signal 5 (SIGTRAP)
[abrt] gnome-shell-3.4.1-3.fc17: g_logv: Process /usr/bin/gnome-shell was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:4dad1e466724ae7e9e85f4bcbcb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 05:24 EDT by Emmanuel Pacaud
Modified: 2013-08-01 02:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:32:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.55 KB, text/plain)
2012-05-07 05:24 EDT, Emmanuel Pacaud
no flags Details
File: maps (114.41 KB, text/plain)
2012-05-07 05:24 EDT, Emmanuel Pacaud
no flags Details
File: dso_list (24.73 KB, text/plain)
2012-05-07 05:24 EDT, Emmanuel Pacaud
no flags Details
File: var_log_messages (8.54 KB, text/plain)
2012-05-07 05:24 EDT, Emmanuel Pacaud
no flags Details

  None (edit)
Description Emmanuel Pacaud 2012-05-07 05:24:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
comment:        gnome-shell crashed when I was moving/closing windows.
core_backtrace: 
crash_function: g_logv
executable:     /usr/bin/gnome-shell
kernel:         3.3.4-4.fc17.x86_64
pid:            1597
pwd:            /home/pacaud
remote_result:  NOTFOUND
time:           lun. 07 mai 2012 10:01:00 CEST
uid:            14316
username:       pacaud

backtrace:      Text file, 74290 bytes
dso_list:       Text file, 25322 bytes
maps:           Text file, 117160 bytes
var_log_messages: Text file, 8743 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/pacaud/2

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=lappc-p348.in2p3.fr
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/pacaud/keyring-RKsOGl/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=e33afa20a036ce301fa6ff260000000c-1336373215.30805-315812372
:GNOME_KEYRING_CONTROL=/run/user/pacaud/keyring-RKsOGl
:IMSETTINGS_MODULE=none
:USER=pacaud
:SSH_AUTH_SOCK=/run/user/pacaud/keyring-RKsOGl/ssh
:USERNAME=pacaud
:MAIL=/var/spool/mail/pacaud
:PATH=/usr/NX/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/pacaud/.local/bin:/home/pacaud/bin
:DESKTOP_SESSION=gnome
:NXDIR=/usr/NX
:QT_IM_MODULE=xim
:PWD=/home/pacaud
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1366
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/pacaud
:SHLVL=1
:LOGNAME=pacaud
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-IEwBF8yhcu,guid=72e3e1a49e8a15084e9a3b3300000046
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/pacaud
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-pacaud-KMwsOs/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1371,unix/unix:/tmp/.ICE-unix/1371
:DESKTOP_AUTOSTART_ID=10ba45b3c3b908fb71133637321653775000000013710000

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31108                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31108                31108                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/pacaud/.xsession-errors
:pos:	4485
:flags:	0102002
:2:/home/pacaud/.xsession-errors
:pos:	4485
:flags:	0102002
:3:pipe:[21120]
:pos:	0
:flags:	04000
:4:pipe:[21120]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[21121]
:pos:	0
:flags:	02004002
:7:socket:[21124]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:socket:[21135]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[21137]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:pipe:[21138]
:pos:	0
:flags:	02004000
:15:pipe:[21138]
:pos:	0
:flags:	02004001
:16:socket:[21142]
:pos:	0
:flags:	02004002
:17:socket:[21144]
:pos:	0
:flags:	02000002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[22403]
:pos:	0
:flags:	02000002
:20:anon_inode:inotify
:pos:	0
:flags:	02004000
:21:socket:[21383]
:pos:	0
:flags:	02004002
:22:socket:[22441]
:pos:	0
:flags:	02004002
:23:socket:[21391]
:pos:	0
:flags:	02004002
:24:socket:[21392]
:pos:	0
:flags:	02004002
:25:/dev/rfkill
:pos:	0
:flags:	0104002
:26:pipe:[23593]
:pos:	0
:flags:	02004000
:27:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:28:pipe:[21381]
:pos:	0
:flags:	01
:29:socket:[21398]
:pos:	0
:flags:	02004002
:30:pipe:[23593]
:pos:	0
:flags:	02004001
:31:socket:[23596]
:pos:	0
:flags:	02004002
:32:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:33:/home/pacaud/.cache/event-sound-cache.tdb.e33afa20a036ce301fa6ff260000000c.x86_64-redhat-linux-gnu
:pos:	168
:flags:	02100002
:34:anon_inode:inotify
:pos:	0
:flags:	02004000
:35:socket:[23604]
:pos:	0
:flags:	02004002
:36:socket:[23605]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Général
:=================================
:UUID: 33d8dcc2-513c-470e-9aaa-254e5457c1fb
:SE: Fedora release 17 (Beefy Miracle)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 4787.96
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM)2 Duo CPU     P9400  @ 2.40GHz
:Stepping du processeur: 10
:Famille de processeur: 6
:Modèle du processeur: 23
:Nombre de processeurs: 2
:Vitesse du processeur: 2401
:Mémoire du système: 3907
:Swap du système: 5951
:Fabricant: Dell Inc.
:Système: Latitude E4300 
:Type d'ordinateur: Portable
:Noyau: 3.3.4-4.fc17.x86_64
:SELinux activé: 0
:Stratégie SELinux: targeted
:SELinux strict: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4480:2082:4136:589) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10816:4136:589) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:4136:589) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10282:4136:589) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:10519:4136:589) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:4136:589) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:16949:32902:4385) pci, iwlwifi, NETWORK, Ultimate N WiFi Link 5300
:(32902:9288:4136:589) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10566:4136:589) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10549:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(4480:2098:4136:589) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10553:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4136:589) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4136:589) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10818:4136:589) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4136:589) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4136:589) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4136:589) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10558:4136:589) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10548:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10552:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_lappcp348-lv_root / ext4 4096 4096 13081819 8969699 8314339 3276800 2934408 2934408
:/dev/sda2 /boot ext4 1024 1024 508745 409031 383431 128016 127741 127741
:/dev/mapper/vg_lappcp348-lv_home /home ext4 4096 4096 24267651 5532884 4317601 6078464 5494012 5494012
:/dev/sdb1 WITHHELD xfs 4096 4096 122036383 93618523 93618523 488384000 487462239 487462239
:

xsession_errors:
:(gnome-shell:1597): St-ERROR **: st_widget_get_theme_node called on the widget [0x4d7c3e0 StButton.window-close] which is not in the stage.
:gnome-session[1371]: WARNING: Application 'gnome-shell.desktop' killed by signal 5
Comment 1 Emmanuel Pacaud 2012-05-07 05:24:28 EDT
Created attachment 582583 [details]
File: backtrace
Comment 2 Emmanuel Pacaud 2012-05-07 05:24:30 EDT
Created attachment 582584 [details]
File: maps
Comment 3 Emmanuel Pacaud 2012-05-07 05:24:33 EDT
Created attachment 582585 [details]
File: dso_list
Comment 4 Emmanuel Pacaud 2012-05-07 05:24:35 EDT
Created attachment 582586 [details]
File: var_log_messages
Comment 5 Frédéric Ruelle 2012-05-31 14:30:08 EDT
I installed the gnome shelle extension "Frippery Static Workspaces" by rmyorston, and then executed the following command to fix the maximum number of workspaces to 2:
gsettings set org.gnome.desktop.wm.preferences num-workspaces 2

Then I tried to move a windows to the second workspace, and it crashed.


backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Dominic Ottaviano 2012-06-14 20:39:08 EDT
Two workspaces open. I opened a new window of firefox and the screen flickered to just showing my wallpaper and then everything reapeared.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Alexei Panov 2012-06-27 07:18:41 EDT
I open new firefox window on second workspace. This all.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Robert Keersse 2012-07-20 09:20:27 EDT
open/start planner

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Emmanuel Pacaud 2012-08-03 05:29:30 EDT
I've clicked on the firefox icon in overview mode. The firefox window appeared, then gnome-shell crashed.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Frank 2012-08-31 00:09:39 EDT
changed workspace

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Tadej Janež 2013-01-12 11:12:05 EST
I'm still experiencing this gnome-shell crash, on average once every two days.

Version: gnome-shell-3.4.1-6.fc17.x86_64
Comment 12 Fedora End Of Life 2013-07-03 21:45:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 02:32:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.